Below is the list of changes that have just been committed into a local
4.0 repository of kent. When kent does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2006-07-22 21:59:33+02:00, kent@stripped +1 -0
mysql.spec.sh:
Add start script link for compatibility (bug#2192)
support-files/mysql.spec.sh@stripped, 2006-07-22 21:59:15+02:00, kent@stripped +18 -0
Add start script link for compatibility (bug#2192)
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: kent
# Host: c-4b4072d5.010-2112-6f72651.cust.bredbandsbolaget.se
# Root: /Users/kent/mysql/bk/bugs/mysql-4.0-bug2192
--- 1.97/support-files/mysql.spec.sh 2006-07-22 21:59:39 +02:00
+++ 1.98/support-files/mysql.spec.sh 2006-07-22 21:59:39 +02:00
@@ -385,6 +385,21 @@
# Initiate databases
%{_bindir}/mysql_install_db -IN-RPM --user=%{mysqld_user}
+# Add symbolic link "/etc/rc.d/init.d/mysqld" for compatibility
+if test -w %{_sysconfdir}/rc.d/init.d/.
+then
+ if test -f %{_sysconfdir}/rc.d/init.d/mysqld
+ then
+ if test -f %{_sysconfdir}/rc.d/init.d/mysqld.old
+ then
+ rm -f %{_sysconfdir}/rc.d/init.d/mysqld # Already saved copy, just remove
+ else
+ mv %{_sysconfdir}/rc.d/init.d/mysqld %{_sysconfdir}/rc.d/init.d/mysqld.old
+ fi
+ fi
+ ln -s %{_sysconfdir}/init.d/mysql %{_sysconfdir}/rc.d/init.d/mysqld
+fi
+
# Change permissions again to fix any new files.
chown -R %{mysqld_user}:%{mysqld_group} $mysql_datadir
@@ -423,6 +438,9 @@
/sbin/chkconfig --del mysql
fi
fi
+
+# Remove symbolic link possibly added when installing
+rm -f %{_sysconfdir}/rc.d/init.d/mysqld || true
# We do not remove the mysql user since it may still own a lot of
# database files.
| Thread |
|---|
| • bk commit into 4.0 tree (kent:1.2188) BUG#2192 | kent | 22 Jul |